﻿* Encoding: UTF-8.
Histogramm erstellen mit Normalverteilungskurve:

FREQUENCIES VARIABLES=height
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

Histogramm erstellen über den Pfadweg "Grafik"

* Diagrammerstellung.
GGRAPH
  /GRAPHDATASET NAME="graphdataset" VARIABLES=height MISSING=LISTWISE REPORTMISSING=NO
  /GRAPHSPEC SOURCE=INLINE.
BEGIN GPL
  SOURCE: s=userSource(id("graphdataset"))
  DATA: height=col(source(s), name("height"))
  GUIDE: axis(dim(1), label("Koerpergroesse"))
  GUIDE: axis(dim(2), label("Häufigkeit"))
  ELEMENT: interval(position(summary.count(bin.rect(height))), shape.interior(shape.square))
  ELEMENT: line(position(density.normal(height)), color("Normal"))
END GPL.


Der KS-Test auf Normalverteilung:

*Nonparametric Tests: One Sample. 
NPTESTS 
  /ONESAMPLE TEST (height) 
  /MISSING SCOPE=ANALYSIS USERMISSING=EXCLUDE
  /CRITERIA ALPHA=0.05 CILEVEL=95.

Der KS-Test über alte Dialogfelder:

NPAR TESTS
  /K-S(NORMAL)=weight
  /MISSING ANALYSIS.

Einmal alles mit Shapiro Wilk Test dazu:

EXAMINE VARIABLES=height
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
